### Method

# Clutter Actor insert_child_below

#### Declaration [src]

    void
    clutter_actor_insert_child_below (
      ClutterActor* self,
      ClutterActor* child,
      ClutterActor* sibling
    )

#### Description [src]

Inserts `child` into the list of children of `self`, below another child of `self` or, if `sibling` is `NULL`, below all the children of `self`.

This function will acquire a reference on `child` that will only be released when calling `clutter_actor_remove_child()`.

This function will not take into consideration the depth of `child`.

This function will emit the `ClutterActor::child-added` signal on `self`.

#### Parameters

`child`

  Type: `ClutterActor`

  A `ClutterActor`.

  The data is owned by the caller of the method.

`sibling`

  Type: `ClutterActor`

  A child of `self`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.